package com.seer.teach.netty.im.convert;

import com.seer.teach.iot.api.req.DeviceStatusReqDTO;
import com.seer.teach.teacher.api.dto.CheckAnalysisReqDTO;
import com.seer.teach.teacher.api.dto.WrongQuestionRedoReqDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * <p>
 *
 * </p >
 *
 * @author Captain
 * @since 2025-08-01 19:52
 */
@Mapper
public interface CommonConvert {

    CommonConvert INSTANCE = Mappers.getMapper(CommonConvert.class);

    DeviceStatusReqDTO toDeviceStatusReqDTO(Integer deviceId, Integer screenStatus, Integer volumeStatus, Integer isOnline);

    CheckAnalysisReqDTO toCheckAnalysisReqDTO(Integer id, String device, Integer type);

    WrongQuestionRedoReqDTO toWrongQuestionRedoReqDTO(Integer id, String device, Integer type);
}